import React, { useState } from 'react';
import { Card, Tabs } from 'antd';
import { PageContainer } from '@ant-design/pro-layout';
import SQLServerTable from './SQLServerTable';

const { TabPane } = Tabs;
const dataArr = [
  {
    title: 'SQLServer数据库连接',
    key: '0',
    component: <SQLServerTable />,
  },
  {
    title: 'Oracle数据库连接',
    key: '1',
    component: <SQLServerTable />,
  },
  {
    title: 'MongoDB数据库连接',
    key: '2',
    component: <SQLServerTable />,
  },
  {
    title: 'MySQL数据库连接',
    key: '3',
    component: <SQLServerTable />,
  },
];
const DatabaseConnectConfig = props => {
  const [flag, setFlag] = useState(false);
  return (
    <PageContainer>
      <Card>
        <Tabs defaultValue="0">
          {dataArr.map(item => (
            <TabPane tab={item.title} key={item.key}>
              {item.component}
            </TabPane>
          ))}
        </Tabs>
      </Card>
    </PageContainer>
  );
};

export default DatabaseConnectConfig;
